--- Totestra-20120615.py	2012-06-15 23:12:48.000000000 -0500
+++ TotestraDry.py	2012-06-15 23:11:13.000000000 -0500
@@ -1,5 +1,5 @@
 ##############################################################################
-## File: Totestra.py version 20120615 (June 15, 2012)
+## File: Totestra.py version 20120612 (June 12, 2012)
 ## Note: This is a finished product.  
 ## Original file: PerfectWorld.py version 2.06
 ## Author: Rich Marinaccio
@@ -51,11 +51,7 @@
 ## Version History
 ## Totestra - Sam Trenholme's update of PerfectWorld2.py
 ##
-## 20120615:
-## 1) One-line bugfix for multi-player maps
-##
-## 20120612:
-## 1) Bugfix with rocky maps
+## 20120612: Dry offshoot of Totestra/PerfectWorld
 ##
 ## 20120603:
 ## 1) The chance of a large continent splitting at the edge of the map
@@ -551,11 +547,11 @@
             seaLevel = int(mmap.getSeaLevel())
         except:
             seaLevel = 1
-        self.landPercent = 0.29
+        self.landPercent = 0.43
         if seaLevel == 0:
-            self.landPercent = 0.43
+            self.landPercent = 0.65
         elif seaLevel == 2:
-            self.landPercent = 0.19
+            self.landPercent = 0.29
 
         self.serviceFlags = 0 # Used for concise description of flags
 	if(seaLevel != 0):
@@ -569,41 +565,41 @@
  
         # These are increased for "rocky" climates
         #How many land squares will be above peak threshold and thus 'peaks'.
-        self.PeakPercent = 0.12
+        self.PeakPercent = 0.10
 
         #How many land squares will be above hill threshold and thus 'hills' 
         #unless hey are also above peak threshold in which case they will 
         #be 'peaks'.
-        self.HillPercent = 0.35
+        self.HillPercent = 0.30
         
         #In addition to the relative peak and hill generation, there is also a
         #process that changes flats to hills or peaks based on altitude. This tends
         #to randomize the high altitude areas somewhat and improve their appearance.
         #These variables control the frequency of hills and peaks at the highest altitude.
         self.HillChanceAtOne = .50
-        self.PeakChanceAtOne = .27
+        self.PeakChanceAtOne = .12
 
         #How many land squares will be below desert rainfall threshold. In this case,
         #rain levels close to zero are very likely to be desert, while rain levels close
         #to the desert threshold will more likely be plains.
-        self.DesertPercent = 0.20
+        self.DesertPercent = 0.40
 
         #How many land squares will be below plains rainfall threshold. Rain levels close
         #to the desert threshold are likely to be plains, while those close to the plains
         #threshold are likely to be grassland. 
-        self.PlainsPercent = 0.42
+        self.PlainsPercent = 0.63
         
         #What temperature will be considered cold enough to be ice. Temperatures range
         #from coldest 0.0 to hottest 1.0.
-        self.SnowTemp = .30
+        self.SnowTemp = .01
 
         #What temperature will be considered cold enough to be tundra. Temperatures range
         #from coldest 0.0 to hottest 1.0.
-        self.TundraTemp = .35
+        self.TundraTemp = .05
 
         #Hotter than this temperature will be considered deciduous forest, colder will
         #be evergreen forest.Temperatures range from coldest 0.0 to hottest 1.0.
-        self.ForestTemp = .50
+        self.ForestTemp = .20
 
         #What temperature will be considered hot enough to be jungle. Temperatures range
         #from coldest 0.0 to hottest 1.0.
@@ -612,31 +608,32 @@
         # Temperate: 0 Tropical: 1 Arid: 2 Rocky: 3 Cold: 4
         self.iceChance = 1.0 # Chance of having iceberg at top/bottom of map
         self.iceRange = 4 # Number of squares we add icebergs to
-        self.iceSlope = 0.66 # How quickly we reduce icebergs
+        self.iceSlope = 0.33 # How quickly we reduce icebergs
         clim = mmap.getClimate() 
         if clim == 1: # Tropical
             self.tropicsLatitude = 46
-	    self.iceSlope = 0.33 # Less ice
+	    self.iceSlope = 0 # Less ice
         elif clim == 2: # Arid
-            self.DesertPercent = 0.40
-            self.PlainsPercent = 0.82
-	    self.iceSlope = 0.33 # Less ice
+            self.tropicsLatitude = 46
+            self.DesertPercent = 0.75
+            self.PlainsPercent = 0.92
+	    self.iceSlope = 0 # Less ice
         elif clim == 3: # Rocky
             self.PeakPercent = 0.24
             self.HillPercent = 0.70
             self.HillChanceAtOne = 0.70
             self.PeakChanceAtOne = 0.43
-	    self.iceSlope = 0.75 # Some more ice
-            self.iceRange = 6
+	    self.iceSlope = 0.50 # Some more ice
+            self.iceRange = 4
         elif clim == 4: # Cold
-            self.tropicsLatitude = 0
-            self.SnowTemp = .50
-            self.TundraTemp = .75
-            self.ForestTemp = .85
-            self.JungleTemp = .99
-            self.iceRange = 12
-            self.iceChance = 1.2
-	    self.iceSlope = 0.87 # Lots of ice
+            self.tropicsLatitude = 23
+            self.SnowTemp = .25
+            self.TundraTemp = .50
+            self.ForestTemp = .60
+            self.JungleTemp = .80
+            self.iceRange = 6
+            self.iceChance = 1
+	    self.iceSlope = 0.50 # Lots of ice
         
         self.serviceFlags <<= 3
         self.serviceFlags |= (clim & 7) # 3 bits; total 5
